Subject: [extropy-chat] Bipartisan Breather

From: "[email-masked]" <[email-masked]>
Date: Thu, 5 May 2005 09:59:49 -0400

This morning, as usual, I enjoyed listening to NPR's morning edition.  I
had a delightful laugh at the smart humor scripted around this bipartisan
gathering at an ice cream social.  For those of you who enjoy stock market
jargon and business vernacular, this is recording is a lot of fun.

"Morning Edition, May 5, 2005 · Amid ethics concerns about Tom DeLay, and
bitterness over Social Security and other issues, members of Congress took
a much needed bipartisan breather Wednesday: an ice cream social."

http://www.npr.org/templates/story/story.php?storyId=4631485

Natasha

--------------------------------------------------------------------
mail2web - Check your email from the web at
http://mail2web.com/ .

_______________________________________________
extropy-chat mailing list
[email-masked]
http://lists.extropy.org/mailman/listinfo/extropy-chat